[Previous] [Next] [Contents]

## `SG::Perm2Cycle` -- decomposes a permutation into disjoint cycles

#### Call(s)

`SG::Perm2Cycle(perm)`

#### Parameters

`perm` | - | any list denoting a permutation

#### Introduction

The `SG::Perm2Cycle` function calculates the decomposition of a permutation into disjoint cycles. It does not print the fixed points (cycles of length 1).

#### Example 1

    >> muEC::SG::Perm2Cycle( [5,4,3,2,1] );

                                 [[1, 5], [2, 4]]

#### Related Functions

`Cycle2Perm`, `Perm2CycleType`, `Vect2Perm`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package